Subject: Re: bug#57400: 29.0.50; Support sending patches from VC directly

From: Juri Linkov <[email-masked]>
Date: Mon, 10 Oct 2022 21:58:23 +0300

>> Currently 'C-x v =' (vc-diff) can be easily mistyped as 'C-x v +' (vc-pull)
>> often with an adverse effect because '=' and '+' are on the same key.
>> It would be nice to bring both 'vc-pull' and 'vc-push' under the same
>> prefix key 'C-x v p'.  And to add vc-prepare-patch under the same
>> prefix.
>
> I find there's some similarity between vc-log-outgoing (`C-x v O') and
> vc-prepare-patch.  So maybe `C-x v o'?

Not only vc-log-outgoing, but also another useful command to show
the log to be able to mark commits in it for preparing a patch,
is `C-x v M L' (vc-log-mergebase) that shows the log of all changes
in the branch.  So I'd rather turn `C-x v l' into a prefix key.

>> 'p' and 'S' in vc-dir are specific to the vc-dir buffer.
>
>> So 'C-x v S' could be bound to the command vc-log-search
>> that has no key binding.
>
> It would be great to put this command on some key binding.

With `C-x v l' as a prefix key it could be `C-x v l s'.